> For the complete documentation index, see [llms.txt](https://docs.buzzy.buzz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.buzzy.buzz/developing-and-extending-buzzy/buzzy-rest-api/rest-api/login.md).

# login

### description

Authenticates a user given a user email and password.

### parameters

#### resource

```
{
	"email":"<buzzy email address>",
	"password":"<buzzy password>"
}
```

### response

returns the Buzzy internal userid and authentication token.

### example

```
POST /api/login 

{
	"email":"adam.ginsburg@gmail.com",
	"password":"password"
}
```

You should get back something like:

```
{
    "status": "success",
    "data":
    {
        "authToken": "<token>",
        "userId": "<user id returned>"
    }
}
```

***
